#pragma once

#include <exception>
#include <string>
#include <variant>

namespace config {
  struct InvalidConfigException : std::exception {
    inline InvalidConfigException(const char *message) : message(message) {};
    const char *message;
  };

  struct AppConfig {
    AppConfig(const std::string &filename);

    std::string vkServiceKey;
    long tgApiId;
    std::string tgApiHash;
    std::string tgPhoneNumber;
    std::variant<long, std::string> vkSource;
    std::string vkSourceLink, tgSourceLink;
    long tgSourceId, tgDestinationId;
  };
}